com.mysql.cj.xdevapi

## Interface DatabaseObject

All Known Subinterfaces:
  Collection, Schema, Table

    public interface DatabaseObject

A client-side representation of X Plugin server object, e.g. table, collection, etc.

### Nested Class Summary

Nested Classes
`static class` `DatabaseObject.DbObjectStatus` Existence states of database objects.
`static class` `DatabaseObject.DbObjectType` Type of database objects.

### Method Summary

All Methods Instance Methods Abstract Methods
`DatabaseObject.DbObjectStatus` `existsInDatabase()` Query the existence of this database object.
`String` `getName()` Retrieve the name of the database object represented by the Java object.
`Schema` `getSchema()` Retrieve the schema owning this database object.
`Session` `getSession()` Retrieve the session owning the given schema object.

### Method Detail

#### getSession

    Session getSession()

Retrieve the session owning the given schema object.

Returns:
  `Session`

#### getSchema

    Schema getSchema()

Retrieve the schema owning this database object.

Returns:
  `Schema`

#### getName

    String getName()

Retrieve the name of the database object represented by the Java object.

Returns:
  name

#### existsInDatabase

    DatabaseObject.DbObjectStatus existsInDatabase()

Query the existence of this database object.

Returns:
  `DatabaseObject.DbObjectStatus`

Copyright © 2016, 2023, Oracle and/or its affiliates.